import os
import sys
import os.path
import tempfile
import zipfile
import glob


class logger:
    path=None
    file=None
    closed=False
    
    def __init__(self,path):
        self.path=path
        
    def _open(self):
        if not self.file:
            self.file=open(self.path,'a')
            
    def _close(self):
        if self.file:
            self.file.close()    
            self.file=None
            
    def write(self,buf):
        #import pdb;pdb.set_trace()

        self._open()
        self.file.write(buf)
        self._close()

def getLocalFilePath(fn):
    return os.path.join(sys.path[0],fn)

def openLogfile(fn):
    fullpath=os.path.join(sys.path[0],fn)
    return logger(fullpath)

def openLocalFile(fn,mode='r'):
    fullpath=os.path.join(sys.path[0],fn)
    return open(fullpath,mode)
    
def writeLocalFile(fn,text):
    f=openLocalFile(fn,'w')
    f.write(text)
    f.close()

def readLocalFile(fn):
    return openLocalFile(fn).read()

    
        
    