from Interface import Base

class IBlueDCSServer(Base) :

	def zipconvert(inputblob, exportfilter) :
		"""
		This method takes a 'blob' as an input, which is a zip file
		that contains some documents. Every document is extracted
		and then converted using the convert method.
		"""

	def convert(inputblob, exportfilter, outputname='outfile', zipped=1) :
		"""
		This method takes a 'blob' as an input, which is the content
		of a OpenOffice.org Component. The exportfilter will define
		the format of the output, which is returned as a 'blob' as 
		well. The parameter zipped decides wether the output file(s)
		should be zipped, which is mandatory for the WHTML output
		filter.
		"""

	def getImportFilters():
		"""Returns a dicionary of the available import filters"""

	def getExportFilters():
		"""Returns a dictionary of the available export filters"""
